/*
  File          : base.css
  Purpose       : simple css
  Creator       : amin.nurahman@gmail.com
  Notes         : This little css are created from some examples taken from internet.
                  Little modifications was added to meet my requirement. 
  License       : Free to use without warranty from the creator
  Created  		: October, 14th, 2020           
*/

body {
	/* Font */
	font-family: Arial, "Helvetica Neue", Helvetica, sans-serif; 
	font-style: normal; 
	font-variant: normal; 
	font-weight: 400; 
	line-height: 15px;	
}


/* Custom Scrollbar */
	::-webkit-scrollbar {
	    width: 8px;
	    height: 8px;
	}
	 
	/* Track */
	::-webkit-scrollbar-track {
	    -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3); 
	    -webkit-border-radius: 10px;
	    border-radius: 10px;
	}
	 
	/* Handle */
	::-webkit-scrollbar-thumb {
	    -webkit-border-radius: 10px;
	    border-radius: 10px;
	    background: rgba(134,143,152,0.8); 
	    -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.5); 
	}
	::-webkit-scrollbar-thumb:window-inactive {
	  background: rgba(134,143,152,0.4); 
	}

	.dotted-separator {
	  border-top:1px dotted rgba(255,255,255,0.6); 
	}

/* Data List */
	.odd-color {
	  background-color: #FAFAFA;
	}

	.even-color {
	  background-color: #F0F0F0;
	}

	.selected-color {
	  background: rgba(255,0,0,0.3);
	}

	.data-list {
	    margin-left: 5px;
	    margin-right: 10px;
	    padding-left: 5px;
	    padding-right: 0px;    
	}

	.data-list-item {
	  list-style: none;
	  padding-top: 15px;
	  padding-bottom: 15px;
	  padding-left: 10px;
	  overflow-y: visible;
	  border-bottom:3px solid #FFF;
	}
	.data-list-item:hover {
	  background:rgba(169,169,169,0.5);
	  cursor: pointer;
	  color:rgba(0,0,0,1);
	}


/* Menu */
	.menu-item-text {
	  padding-top: 10px;
	  position:relative;
	}
	
	.menu {
		position:fixed; 
	    margin:0 auto;	
		display: block; 
		width:269px; 
		bottom: 22px;
		background:rgba(255,255,255,0.4); 
	}

	.menu-title {
		position:relative; 
		top:10px;			
	}

	.menu-caption {
		width:100%;
		background:rgba(0,0,0,0.8);
		color: #FFF;
		font-size:9pt;
		text-align: left;
		height:27px;			
	}

	.menu-close {
		position:fixed; 
		left:250px; 
		width:29px; 
		height:27px; 
		top:130px; 
		background:rgba(255,0,0,0.7);
		cursor: hand;
		display: block;			
	}

	.menu-content {
		background:rgba(0,0,0,0.8);
		color:#ddd;
		cursor:hand;
		position:relative; 
		top:0px; 
		height:278px; 
		width:269px; 
		left:0px;
		overflow-y:auto;
		overflow-x:hidden;
		font-size:9pt;			
	}

	.menu-content ul {
	  list-style-type: none;
	  width: 270px;
	  padding: 0;
	}

	.menu-content li ul {
	  padding-left: 10px;	
	}

	.menu-content li img {
	  float: left;
	  margin: 0 10px 0 0;
	}

	.menu-content li {
	  padding: 10px;
	  overflow: auto;
	}

	.menu-content li:hover {
	  background:rgba(255,204,0,0.5);
	  cursor: pointer;
	  color:#FFFFFF;
	}


/* Button */
	.button {
	  display: inline-block;
	  background-color: #f4511e;
	  border: none;
	  color: #FFFFFF;
	  text-align: center;
	  font-size: 11pt;
	  padding: 8px;
	  transition: all 0.5s;
	  cursor: pointer;
	  margin: 0px;
	}

	.button span {
	  cursor: pointer;
	  display: inline-block;
	  position: relative;
	  transition: 0.5s;
	}

	.button span:after {
	  content: '\25B8';
	  position: absolute;
	  opacity: 0;
	  top: 0;
	  right: -20px;
	  transition: 0.5s;
	}

	.button:hover span {
	  padding-right: 15px;
	}

	.button:hover span:after {
	  opacity: 1;
	  right: 0;
	}

/* Moveable Dialog */
	.dialog {
	  position: absolute;
	  z-index: 9;
	  background-color: #f1f1f1;
	  border: 1px solid #d3d3d3;
	}

	.dialog-header {
	  padding: 10px;
	  cursor: move;
	  z-index: 10;
	  background-color: #000;
	  color: #fff;
	  clear: both;
	  height: 18px;
	}
	.dialog-caption {
	  float: left;
	}
	.dialog-toggle {
	  float: right;
	  margin-left: 75px;  
	  font-size: 11pt;
	  cursor: pointer;
	  color: yellow;
	}
	.dialog-content {
	  margin-top: 10px;
	  margin-bottom: 10px;
	  margin-left: 10px;
	}

/* Overlay */
.overlay {
	  position: fixed; /* Sit on top of the page content */
	  width: 100%; /* Full width (cover the whole page) */
	  height: 100%; /* Full height (cover the whole page) */
	  top: 0;
	  left: 0;
	  right: 0;
	  bottom: 0;
	  background-color: rgba(224,224,224,0.1);; /* Black background with opacity */
	  z-index: 9998; /* Specify a stack order in case you're using a different order for other elements */
	  cursor: pointer; /* Add a pointer on hover */
}

/* Button */
.button {
  border: none;
  color: white;
  padding: 8px 12px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: 9pt;  
  background-color: #7F8C8D;
}

.hide-scroll::-webkit-scrollbar {
    display: none;
}





